Bug 1572943 - [sat64] Red hat repositories page is broken : Can't find entry point 'katello'
Summary: [sat64] Red hat repositories page is broken : Can't find entry point 'katello'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks: 1455006
TreeView+ depends on / blocked
 
Reported: 2018-04-29 06:07 UTC by Nikhil Kathole
Modified: 2019-11-05 23:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:59:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (21.78 KB, image/png)
2018-04-29 06:07 UTC, Nikhil Kathole
no flags Details
verification screenshot (197.05 KB, image/png)
2018-05-31 15:47 UTC, jcallaha
no flags Details

Description Nikhil Kathole 2018-04-29 06:07:11 UTC
Created attachment 1428319 [details]
screenshot of UI

Description of problem: Content -> Red Hat repositories page is broken in satellite 6.4. Showed error ;

Oops, we're sorry but something went wrong Can't find entry point 'katello' in webpack manifest.


Version-Release number of selected component (if applicable): 

# rpm -q satellite
satellite-6.4.0-3.beta.el7sat.noarch


How reproducible: always

Steps to Reproduce:
1. Navigate to Content -> Red Hat repositories page


Actual results: (see attachment)
 Oops, we're sorry but something went wrong Can't find entry point 'katello' in webpack manifest.

production.log :

2018-04-29T02:01:33 [I|app|] Started GET "/redhat_repositories" for IP at 2018-04-29 02:01:33 -0400
2018-04-29T02:01:33 [I|app|4241e] Processing by Katello::ReactController#index as HTML
2018-04-29T02:01:33 [I|app|4241e] Current user: admin (administrator)
2018-04-29T02:01:33 [I|app|4241e]   Rendering /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.0.1/app/views/katello/layouts/react.html.e
rb
2018-04-29T02:01:33 [I|app|4241e]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.0.1/app/views/katello/layouts/react.html.er
b (2.7ms)
2018-04-29T02:01:33 [W|app|4241e] Action failed
 | ActionView::Template::Error: Can't find entry point 'katello' in webpack manifest
 | /opt/theforeman/tfm/root/usr/share/gems/gems/webpack-rails-0.9.8/lib/webpack/rails/manifest.rb:39:in `asset_paths'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/webpack-rails-0.9.8/lib/webpack/rails/helper.rb:18:in `webpack_asset_paths'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.0.1/app/views/katello/layouts/react.html.erb:2:in `block in _63aa73acbc2eec49f8ebb05e
a82443a6'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `block in capture'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:203:in `with_output_buffer'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `capture'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:153:in `content_for'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.0.1/app/views/katello/layouts/react.html.erb:1:in `_63aa73acbc2eec49f8ebb05ea82443a6'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/template.rb:157:in `block in render'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:168:in `instrument'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/template.rb:352:in `instrument_render_template'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/template.rb:155:in `render'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.2.0/lib/deface/action_view_extensions.rb:41:in `render'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:52:in `block (2 levels) in ren
der_template'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `block in instrument'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `instrument'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:51:in `block in render_templat
e'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:59:in `render_with_layout'
 | /opt/theforeman/tfm-ror51/root/usr/share/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:50:in `render_template'


Expected results:  Red Hat repositories page should load.


Additional info:

Comment 2 jcallaha 2018-05-31 15:41:31 UTC
Verified in Satellite 6.4 Snap 5.

The repositories page now loads correctly and displays the available and enabled repositories.

See attached screenshot.

Comment 3 jcallaha 2018-05-31 15:47:08 UTC
Created attachment 1446317 [details]
verification screenshot

Comment 4 Bryan Kearney 2018-10-16 18:59:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.